Docs

ドキュメントを検索

Server · next

検索を読み込み中…

EN

このドキュメントは開発中のServerを対象としています。

Shumoku Server API · 0.3.0-beta.2 · Credentials

Create a credential, or link an identical existing one to the topologies

OpenAPIソース

APIの説明は英語のOpenAPI canonical sourceを表示しています。

POST /api/credentials

認証

sessionCookie / bearerAuth

リクエストボディ

CreateCredential · application/json · 必須

レスポンス

ステータス 説明 スキーマ
200 An identical credential existed; the topologies were linked to it CreateCredentialResult
201 Credential created CreateCredentialResult
400 The request did not match the API contract Error
404 Credential or topology not found Error
409 Conflict, e.g. a credential with this name already exists Error
500 Credential operation failed Error

apps/server/api/openapi.json